Bug 1999035 - pip on Fedora 33 cannot handle Python 3.10 manylinux wheels
Summary: pip on Fedora 33 cannot handle Python 3.10 manylinux wheels
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pip
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-30 09:48 UTC by Miro Hrončok
Modified: 2021-09-09 17:45 UTC (History)
9 users (show)

Fixed In Version: python-pip-20.2.2-3.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-09 17:45:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2021-08-30 09:48:23 UTC
Description of problem:
pip on Fedora 33 cannot handle Python 3.10 manylinux wheels and prefers installation from source.

Version-Release number of selected component (if applicable):
20.2.2-2.fc33

How reproducible:
Easy, always.

Steps to Reproduce:
$ python3.10 -m venv __venv__
$ . __venv__/bin/activate
(__venv__) $ pip install pyzmq

Actual results:
Collecting pyzmq
  Using cached pyzmq-22.2.1.tar.gz (1.2 MB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
  Installing backend dependencies ... done
    Preparing wheel metadata ... done
Building wheels for collected packages: pyzmq
  Building wheel for pyzmq (PEP 517) ...

Expected results:
Collecting pyzmq
  Using cached pyzmq-22.2.1-cp310-cp310-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.1 MB)
Installing collected packages: pyzmq
Successfully installed pyzmq-22.2.1

Additional info:
Users can mitigate this by running `pip install -U pip`.
Fedora 34 has a newer pip version that works.


When attempting to install the wheel directly, the error is:
ERROR: pyzmq-22.2.1-cp310-cp310-manylinux_2_12_x86_64.manylinux2010_x86_64.whl is not a supported wheel on this platform.

Comment 1 Miro Hrončok 2021-08-30 09:59:15 UTC
Backporting this https://github.com/pypa/packaging/pull/355 might help.

Comment 2 Miro Hrončok 2021-08-30 10:16:34 UTC
https://src.fedoraproject.org/rpms/python-pip/pull-request/92

Note that I've tested this:

$ rpm -q python-pip-wheel
python-pip-wheel-20.2.2-3.fc33.noarch

$ python3.10 -m venv __venv__
$ . __venv__/bin/activate
(__venv__) $ pip install pyzmq
Collecting pyzmq
  Using cached pyzmq-22.2.1-cp310-cp310-manylinux_2_12_x86_64.manylinux2010_x86_64.whl (1.1 MB)
Installing collected packages: pyzmq
Successfully installed pyzmq-22.2.1
WARNING: You are using pip version 20.2.2; however, version 21.2.4 is available.
You should consider upgrading via the '/home/churchyard/tmp/__venv__/bin/python3.10 -m pip install --upgrade pip' command.

Comment 3 Fedora Update System 2021-09-01 14:16:13 UTC
FEDORA-2021-182eec00ec has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-182eec00ec

Comment 4 Fedora Update System 2021-09-01 20:21:36 UTC
FEDORA-2021-182eec00ec has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-182eec00ec`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-182eec00ec

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-09-09 17:45:39 UTC
FEDORA-2021-182eec00ec has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.